<?php

namespace Drupal\todoist_api;

use GuzzleHttp\ClientInterface;
use Drupal\todoist_api\Exception\TodoistapiException;
use Drupal\Core\Config\ConfigFactoryInterface;

abstract class TodoistapiClientbase {

   /**
   * Guzzle\Client instance.
   *
   * @var \GuzzleHttp\ClientInterface
   */
  protected $httpClient;

   /**
   * Guzzle\Client instance.
   *
   * @var \Todoist\ClientInterface
   */
  protected $todoistapiConfig;

  /**
   * {@inheritdoc}
   */
  public function __construct(ConfigFactoryInterface $config_factory) {
    $this->todoistapiConfig = $config_factory->get('todoist_api.settings');
    if(!$this->todoistapiConfig->get('api_endpoints') && !$this->todoistapiConfig->get('access_token')) {
      throw new TodoistapiException('You must set your Todoist Url and Access token.');
    }
  }


  public function GetAlltasks() {
  }

}
